from typing import Dict, Optional, List

from pydantic import BaseModel


class AssessmentRequest(BaseModel):
    windcode: str
    # 格式: "YYYY-MM"
    month: str


class SubsystemResult(BaseModel):
    health_score: float
    weights: Dict[str, float]
    #  features: List[str]
    message: Optional[str] = None


class AssessmentResult(BaseModel):
    engine_code: str
    wind_turbine_name: str
    mill_type: str
    total_health_score: Optional[float]
    subsystems: Dict[str, SubsystemResult]
    assessed_subsystems: List[str]
