from typing import List

from pydantic import BaseModel, model_validator


class TemperatureInput(BaseModel):
    windCode: str
    windTurbineNumberList: List[str]
    # e.g. "2024-06-08 00:00"
    startTime: str
    # e.g. "2024-06-08 01:00"
    endTime: str

    @model_validator(mode='before')
    def normalize_fields(cls, values):
        # 确保 windTurbineNumberList 是列表
        raw = values.get('windTurbineNumberList')
        if isinstance(raw, str):
            values['windTurbineNumberList'] = [raw]
        return values
